Subject: Re: bug#29008: 26.0.90; two bugs in gnus-read-ephemeral-*

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 27 Oct 2017 08:34:24 +0900

On Thu, 26 Oct 2017 08:19:50 -0400, Noam Postavsky wrote:
> Katsumi Yamaoka <[email-masked]> writes:
>> BUG-1:
>> If a group for a certain bug number is once read and its contents
>> are cached, the following error happens.  This is the case I do

> How do you make it be cached?

I did nothing special for it, so it seems the default feature.
In my case the cache is stored in the file:

~/.emacs.d/url/cache/yamaoka/https/org/gnu/debbugs/251a7740923b0757bb1cd2b95e60bf88

Removing it manually vanishes the "Not modified" error.

> I tried M-x
> gnus-read-ephemeral-emacs-bug-group with the same number twice in a row,
> but I got no error.

Could you try exiting the ephemeral bug group by `q' before
retrying it?  Though I can reproduce the error without doing so.

>> BUG-2:
>> An example that (info "(gnus)Foreign Groups") introduces

>>    Here is an example:
>>      (require 'gnus-art)
>>      (add-to-list
>>       'gnus-button-alist
>>       '("#\\([0-9]+\\)\\>" 1
>>         (string-match "\\<emacs\\>" (or gnus-newsgroup-name ""))
>>         gnus-read-ephemeral-emacs-bug-group 1))

>> passes a bug number to `gnus-read-ephemeral-emacs-bug-group' as
>> a string.  Even if BUG-1 is fixed, this causes a bug as follows:

>> Debugger entered--Lisp error: (wrong-type-argument numberp "26862")
>>   number-to-string("26862")
>>   mapconcat(number-to-string ("26862") ",")
>>   gnus-read-ephemeral-bug-group(("26862") "https://debbugs.gnu.org/cgi/bugreport.cgi?bug=%s;mboxmaint=yes;mboxstat=yes" nil)
>>   gnus-read-ephemeral-emacs-bug-group("26862")

>> * lisp/gnus/gnus-group.el (gnus-read-ephemeral-gmane-group)
>> (gnus-read-ephemeral-bug-group): Make it work for any number of times.
>> (gnus-read-ephemeral-emacs-bug-group): Allow a string for bug#.

> Maybe we should fix the example instead?